offlineimap (7.0.9+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #845531, #809676, #671087).

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 24 Nov 2016 13:48:50 +0200

offlineimap (7.0.8+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #839862)

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 10 Oct 2016 11:56:29 +0300

offlineimap (7.0.7+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Wed, 21 Sep 2016 11:37:41 +0300

offlineimap (7.0.6+dfsg1-1) unstable; urgency=medium

  * New upstream release
    (Closes: #837904, #648862, #681494, #671271)
  * Install the systemd unit files provided by upstream, as examples
  * Add python-six to package dependencies
  * Bump versioned dependency on python-imaplib2 to (>= 2.55)
  * Update d/patches
    - Drop Use-imaplib2-package-instead-of-embedded-copy.patch
      There's a new virtual module to use distro-shipped imaplib2
      vs. embedded one.
    - Drop Remove-unused-imports.patch, fixed upstream.
    - Update patches to apply cleanly on new upstream.
  * Update Files-Excluded field in d/copyright.
    The embedded copy of imaplib2 has been renamed to 'bundled_imaplib2.py'.
  * Update d/copyright file (bump Copyright years)
  * Document changes in d/NEWS
    - The sqlite database is the default.
    - Passwords are now expected in Unicode.
    - The PID file is no longer used.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 19 Sep 2016 15:33:05 +0300

offlineimap (6.7.0.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Add patch that removes unused import of six package
  * Patch the manpage to document the configuration options.
    Document the available configuration option, by pointing to the
    /usr/share/doc/offlineimap/examples/offlineimap.conf.gz file.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 08 Sep 2016 15:11:09 +0300

offlineimap (6.7.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.8, no changes needed

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Sun, 19 Jun 2016 19:52:45 +0300

offlineimap (6.7.0+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #809402)
  * Bump Standards-Version to 3.9.7, no changes needed
  * Remove doc-base from suggested packages.
    The Debian offlineimap package does not include the OfflineIMAP
    documentation anymore.
  * Update d/copyright file (bump Copyright years)
  * Remove patches that have been applied upstream
    - Remove 'Abort-after-three-Ctrl-C-keystrokes' patch
    - Remove 'Fix-typos-in-offlineimap-1-manpage' patch
  * Detail the use of '--migrate-fmd5-using-nametrans' in d/NEWS.
    OfflineIMAP version 6.3.5 introduced a regression, and the above option
    can be used to migrate to newer versions. (Closes: #812108)
  * Update d/watch file to use the version 4 format

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 22 Mar 2016 10:11:06 +0200

offlineimap (6.6.1+dfsg1-2) unstable; urgency=low

  * Recommend python-socks instead of python-pysocks.
    Both provide the same module and the first has been marked for removal.
    (Closes: #810307)
  * Use 'https://' instead of 'git://' in Vcs-Git field
  * Prevent a2x from connecting to the Internet
  * Add faketime to build dependencies
  * Improve reproducibility of documentation build.
    Patch a2x tool to use the date of the latest entry in d/changelog
    file for the generated documentation.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 11 Jan 2016 12:28:24 +0200

offlineimap (6.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #677166)
  * Add missing docbook-xsl build dependency
  * Update patches to apply cleanly on new upstream

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 28 Dec 2015 18:12:09 +0200

offlineimap (6.6.0~rc3+dfsg1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * New upstream release
    (Closes: #747033, #629264, #745822, #760960, #785594, #648863, #343924)
  * Update build dependencies
    - Add dh-python and python-setuptools, required to build Python modules
    - Remove python-sphinx, since we are not shipping documentation anymore
    - Add asciidoc, xsltproc, docbook-xml and libxml2-utils,
      required to build the manpages (Closes: #680856)
  * Add X-Python-Version field in d/control
  * Bump Standards Version to 3.9.6.
    No changes to the source package.
  * Convert d/copyright to DEP-5 and update its entries (Closes: #655721)
  * Update d/watch file according to wiki.d.o/watch
  * Create a DFSG version of the package
    - Remove non free IETF documents
    - Remove embedded copy of imaplib2
  * Remove improve_man_page patch.
    Manpages have been rewritten.
  * Don't use embedded copy of imaplib2 (Closes: #728445)
  * Add python-imaplib2 to package dependencies
  * Install offlineimapui.7 manpage
  * d/patches: Fix typos in offlineimap(1) manpage
  * Update d/rules to build newer version
    - Use pybuild instead of python_distutils.
    - Don't export OfflineIMAP's Python modules
      Python applications should ship only private modules, according
      to the Debian Python Policy.
    - Disable tests since they require a valid IMAP account.
  * Don't install documentation.
    OfflineIMAP's manual and FAQ have been moved by upstream to another
    package (OfflineIMAP/offlineimap.github.io). Only developer's
    documentation is included, which is not needed to be installed alongside
    this package.
  * Remove python-sqlite from the recommended packages.
    OfflineIMAP uses sqlite3 to access the sqlite database which
    is provided by Python itself. (Closes: #715516)
  * Add python-pysocks to the recommended packages
  * d/patches: Abort after three Ctrl-C keystrokes.
    Thanks to Wouter Verhelst for the patch (Closes: #679975)
  * Document changes in NEWS
  * Add Vcs-Git and Vcs-Browser fields in d/control

  [ Dimitri John Ledkov ]
  * Set Ilias as maintainer, mark myself as uploader.
  * Add versioned dependency on python-imaplib2, to pull a version that
    re-exports zlib module.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 24 Nov 2015 13:59:19 +0200

offlineimap (6.5.5-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release
  * Update download's URL
  * Bump standards to 3.9.5
  * Remove patch to include a missing import, applied upstream
  * Remove patch to treat SIGHUP to gracefully terminate, applied
    upstream
  * Refresh improve_man_page.patch

 -- Liang Guo <guoliang@debian.org>  Sat, 01 Mar 2014 11:35:09 +0800

offlineimap (6.5.4-2) unstable; urgency=low

  * Set myself as a maintainer
  * Add patch to include a missing import (Closes: #671279)
  * Add patch to treat SIGHUP to gracefully terminate (Closes: #670120)
  
 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 05 Jun 2012 01:46:52 +0100

offlineimap (6.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add python-sqlite to recommends (Closes: #664369)
  * debian/watch: Update download's URL

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 03 Jun 2012 23:33:12 +0100

offlineimap (6.5.3.1-2) unstable; urgency=low

  * Add NEWS entry about name translation (Closes: #670761)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 29 Apr 2012 18:20:46 +0100

offlineimap (6.5.3.1-1) unstable; urgency=low

  * New upstream release. (Closes: #669428)
  * Add myself as uploader.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 19 Apr 2012 22:14:22 +0100

offlineimap (6.3.4-1) unstable; urgency=low

  * New upstream release.
    - re-syncs some of my large folders (Closes: #629515).
    - uses invalid date notation in SEARCH request (Closes: #630447).
    - Fails to upload emails with some locales (Closes: #637716).
    - leftover reference to old interface name Noninteractive.Basic (Closes: #629502).
    - Improvements to man page (Closes: #470679).
    - Maximum message size (Closes: #190262).
    - does not handle network downtime gracefully (Closes: #203889).
    - Very slow, high CPU when syncing after thousands of remote
      deletions (Closes: #518093).
    - TypeError: sigterm_handler() takes exactly 3 arguments (Closes: #618264).
    - ask for password once, then autorefresh in background (Closes: #489309).
  * debian/patches - Added
    - 0001-Fix-manpage-build-failures-from-inconsistent-heading.patch
  * debian/changelog
    - Removed excess whitespace
  * debian/control
    - point VCS- fields at debian repo not upstream (Closes: #627004).

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 23 Aug 2011 22:50:13 +1000

offlineimap (6.3.3-3) unstable; urgency=low

  * New upstream release.
    - getting stuck when run with multiple threads (Closes: #596291).
    - Uses wrong gmail folders? (Closes: #481041).
    - NameError: global name 'UIBase' is not defined (Closes: #613483).
    - Unknown IMAP4 command: 'selectedfolder' (Closes: #569068).
    - Removed debian/patches/*
    - kerberos authentication works only the first time (Closes: #470875).
    - Support RFC4315 UIDPLUS extension in APPEND reply (Closes: #435959).
    - sync and exit on request/signal (Closes: #410181).
    - man page uid validity problem workaround is confusing (Closes: #381449).
    - 'EOF occurred in violation of protocol' with uw-imapd (Closes: #303582).
  * Make sure man page is built and installed (Closes: #618516, #613331).
  * Update upstream location in debian/copyright (Closes: #620737).

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 01 May 2011 18:24:54 +1000

offlineimap (6.3.2~rc3-2) unstable; urgency=low

  * Add pre-upstream patch
    - Use-self.ui-rather-than-UIBase.getglobalui.patch (Closes: 613483)
  * debian/pyversions
    - Up minimum python to 2.6 due to SSL requirements

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 18 Feb 2011 00:03:17 +1100

offlineimap (6.3.2~rc3-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Closes: #585035)
  * debian/changelog
    - Add -1, no longer a debian native package
    - Bump standards to 3.9.1
    - Reduced build-depends due to only what is needed
  * debian/compat
    - Bumpt to 7
  * debian/control
    - Update VCS and homepage entries
    - remove use of I in the description
    - Add version to debhelper
    - Update the maintainer
    - add python-docutils to build deps
  * debian/doc-base
    - Add manual
  * debian/rules
    - Move to debhelper 7 format
  * debian/offlineimap.lintian-overrides
    - Ignore man page hypen problems till docbook2man is fixed
  * debian/watch
    - Add a watch file
  * debian/offlineimap.examples
    - Added examples to install

 -- John Francesco Ferlito <johnf@inodes.org>  Mon, 14 Feb 2011 00:03:44 +1100

offlineimap (6.2.0.2-2) unstable; urgency=low

  * QA upload.
  * Apply patch to replace assert statements with proper tests. Thanks to
    Johann Felix Soden <johfel@gmx.de> (Closes: #588348).
  * Convert to dpkg-source 3.0 (quilt) format
  * Depend on ${misc:Depends} for debhelper.
  * Drop unnecessary Build-Depends-Indep on python-dev
  * Bump Standards-Version to 3.9.0 (no changes).
  * Use proper copyright symbol in debian/copyright.
  * Register FAQ with doc-base, and add Suggests: doc-base

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 02 Aug 2010 20:00:41 +0200

offlineimap (6.2.0.2-1) unstable; urgency=low

  * QA upload.
  * Apply workaround from Jakub Wilk for #586433 (python2.6 curses module
    breakage).

 -- Julien Cristau <jcristau@debian.org>  Sun, 25 Jul 2010 16:11:00 +0200

offlineimap (6.2.0.2) unstable; urgency=high

  * Re-import 6.2.0+nmu1 and +nmu2, the changes of which had been
    inadvertantly removed with the upload of 6.2.0.1.
    Closes: #557912, #549392.  Both were RC.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 29 Jun 2010 16:51:19 -0500

offlineimap (6.2.0.1) unstable; urgency=low

  * Orphaning this package -- see #585035.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 08 Jun 2010 10:21:58 -0500

offlineimap (6.2.0+nmu2) unstable; urgency=low

  * Non-maintainer upload, for the upcoming Python 2.6 transition
  * debian/rules
    - add '--prefix=/usr' to 'setup.py install' since Python 2.6 installs by
      default in /usr/local; thanks to Jakub Wilk for the report and to Luca
      Falavigna for the patch; Closes: #557912

 -- Sandro Tosi <morph@debian.org>  Sat, 12 Dec 2009 09:44:03 +0100

offlineimap (6.2.0+nmu1) unstable; urgency=low

  * Non-maintainer upload needed to fix xpdf's RC bugs:
  * Use pdftops from poppler-utils rather than xpdf-utils
    (Closes: #549392)
  * Also use ghostscript instead of the transitional gs package

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 17 Nov 2009 22:02:45 +0100

offlineimap (6.2.0) unstable; urgency=low

  * FIX: Removed imaplib2 entirely.  It was the cause of numerous
    crash/hang bugs.  Closes: #536156, #536329.
  * REMOVAL: IDLE support had to be removed because it depended on
    imaplib2.
  * Do not request INTERNALDATE when it is not needed.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 12 Aug 2009 00:40:31 -0500

offlineimap (6.1.2) unstable; urgency=low

  * Applied patch from Peter Colberg to remove usage of hard linking.
    Closes: #535160.
  * Fix the order of folders during sync.  Patch from
    Nicolas Dandrimont.  Closes: #535540.
  * Reduce memory usage when scanning Maildirs.  Patch from Michal
    Vitecek.
  * Use latest version of imaplib2.  Patch from Christoph Höger.
    Fixes Kerberos login problems.
  * Quick synchronizations (for 'quick' > 0) are now performed between
    full synchronizations (as specified in the documentation).
    Patch from Michal Vitecek.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 16 Jul 2009 10:52:30 -0500

offlineimap (6.1.1) unstable; urgency=low

  * Fix minimum Python version.  Closes: #535481.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 00:03:21 -0500

offlineimap (6.1.0) unstable; urgency=low

  * FIXME: ensure patch from Jim Prior has had docs for signals
  * FEATURE: Applied patch from Jonny Lamb to specify order of syncing.
    Closes: #502779.
  * FEATURE: Support pre/post-sync hooks.  Patch from Sylvain FORET.
    Apply fix for missing imports in this patch; fix from Graham D.
  * FEATURE: Documented pre/post-sync hooks.  Patch from Sias Mey.
  * FEATURE: New configuration option to limit folders worked with
    to the IMAP subscribed folders.  Patch from Sean Finney, modified
    by John Goerzen.
  * FEATURE: Support sending OfflineIMAP a signal to force a sync to
    start.  Patch from Jim Pryor (e1fb9492f)
  * FEATURE: Support for IMAP IDLE; import newer imaplib.  Patch from
    James Bunton.  Additional patch from James Bunton to check for IDLE
    in CAPABILITIES response.  Patch series merged in 9e085565.
  * FEATURE: Allow keepalive to be overridden by user if imapfolders set.
    Patch from James Bunton.
  * FEATURE: Support /etc/netrc in addition to ~/.netrc.  Patch from
    Jim Pryor.
  * FEATURE: Sync accounts in order specified.  Patch from Jonny Lamb.
  * FIX: Apply patch from Eric Dorland to fix autorefresh with Kerberos.
  * FIX: Set gssapi to false on Kerberos error.  Patch from Christoph
    Höger.
  * COSMETIC: Make Ctrl-C cleaner.  Patch from Jim Pryor.
  * COSMETIC: Fix typoes in example config file.
    Patch from Alexey Mahotkin.
  * COMPAT: Apply patch from Michael Witten to remove use of a private
    attribute in imaplibutil.py (5fe379f66)
  * COMPAT: Use md5 from haslib if available.  md5 module deprecated
    since Python 2.5.  Patch from Loui Chang.  Fix to Chang's patch from
    Paul Hinze.
  * COMPAT: Apply Darwin support patch from Vincent Beffara.  Fixes
    software.complete.org #20.  Commit 10c2b6fbaa.
  * MISC: Better make clean, .gitignore files.  Patches from
    Nicolas Sebrecht.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 01 Jul 2009 20:49:58 -0500

offlineimap (6.0.3) unstable; urgency=low

  * Removed call to task_done, which required Python 2.5.  Closes: #494982.
  * Make GMail trash and spam folder names configurable -- German Google
    Mail uses different folder names.  Patch from Henning Glawe.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 13 Aug 2008 13:51:54 -0500

offlineimap (6.0.2) unstable; urgency=low

  * Yew more power handling improvements.  Closes: #434074.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 02 Aug 2008 17:44:24 -0500

offlineimap (6.0.1) unstable; urgency=low

  * Add support for SSL client certificates.  Patch by Mark Hymers,
    ca08c1e5531af7a19b38d1034780ff751589ce9a.
  * Yet another tweak for maildir creations.
  * Added new [general] config option fsync to permit disabling of fsync
    when desired.
  * Improve OfflineIMAP power profile by reworking threadutil.
    Closes: #434074.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 02 Aug 2008 15:13:47 -0500

offlineimap (6.0.0) unstable; urgency=low

  * Updated version number to 6.0.0.  No other changes.  Calling this
    the new stable version.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 20 May 2008 00:01:17 -0500

offlineimap (5.99.15) unstable; urgency=low

  * Finally fix the LocalStatus issues.  Closes: #479798.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 12 May 2008 09:01:26 -0500

offlineimap (5.99.14) unstable; urgency=low

  * Revert some previous attempts at LocalStatus creation.
    Closes: #479798.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 May 2008 20:43:25 -0500

offlineimap (5.99.13) unstable; urgency=low

  * Revert Darwin memory leak workaround patch; it was causing network
    communication issues.  Closes: #479677.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 06 May 2008 08:49:56 -0500

offlineimap (5.99.12) unstable; urgency=low

  * Finally fix LocalStatus folders.  Closes: #478990.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 05 May 2008 02:37:22 -0500

offlineimap (5.99.11) unstable; urgency=low

  * Correct bug introduced in 5.99.10

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Apr 2008 09:52:40 -0500

offlineimap (5.99.10) unstable; urgency=low

  * Address bug with LocalStatus folders in subfolders.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Apr 2008 02:45:24 -0500

offlineimap (5.99.9) unstable; urgency=low

  [ John Goerzen ]
  * Automatically create top-level localfolder for Maildirs this is the
    folder Maildirs will put messages in.  (Closes: #286967)

  [ Florian Friesdorf ]
  * Ignore empty LocalStatus files I created new IMAP folders on my
    server. In some moment I found offlineimap crashed. The reason were
    empty LocalStatus files. From looking at the code I have no
    explanation how those files came into existence.

  [ John Goerzen ]
  * Add *~ to .gitignore
  * Updated offlineimap.conf with Kerberos info
  * Also make bin/offlineimap +x

  [ Florian Friesdorf ]
  * chmod +x offlineimap.py

 -- John Goerzen <jgoerzen@complete.org>  Thu, 27 Mar 2008 16:21:41 -0500

offlineimap (5.99.8) unstable; urgency=low

  * Added Kerberos support patch from Eric Dorland.  Closes: #359213.
  * Don't crash if LocalStatus file doesn't exist yet.  Closes: #470174.
  * Fix gmail driver crashing bug.  Closes: #469598.
  * Thanks to Martin F. Krafft for the below changes:
    + Bump Standards-Version to 3.7.3 — no changes required.
    + Bump debhelper compatibility level to 6 — no changes required.
    + Fix clean target in debian/rules to allow for proper failure handling.
    + Remove second docbook-utils build dependency.
    + Remove empty /usr/sbin directory from package.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 09 Mar 2008 20:35:04 -0500

offlineimap (5.99.7) unstable; urgency=low

  * Revert more read-only patches.  Closes: #469244.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 04 Mar 2008 08:17:55 -0600

offlineimap (5.99.6) unstable; urgency=low

  * Revert read-only patch that was causing OfflineIMAP to crash for people.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 03 Mar 2008 21:41:18 -0600

offlineimap (5.99.5) unstable; urgency=low

  * When a local folder is deleted, but the OfflineIMAP status cache
    is not cleared, do not delete all mail in that folder on the
    remote.  Closes: #459985.
  * Apply SSL performance enhancement, working around severe
    inefficiencies in Python's imaplib.py.  This workaround was lost
    in 5.99.0 when the locally-hacked imaplib.py was removed.  Thanks
    to Aaron Kaplan for help isolating the problem.
  * Added special support for GMail.  Patch from Riccardo Murri.
  * Added option 'f' for syncing only selected folders.  Patch from
    Riccardo Murri.
  * Added option -k for overriding config options.  Patch from
    Riccardo Murri.
  * Fix read-only detection behavior when changing flags.  Patch from
    Florian Friesdorf.
  * Added support for username/password in a netrc file.  Patch from
    bboisin in OfflineIMAP #14.
  * Fix handling of servers that return UIDs in some, but not all,
    responses to FETCH.  OfflineIMAP bug #22.  Patch by pistore.
  * Fix typo in manual.  Closes: #360365.
  * Added Homepage, VCS-* lines to debian/control.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 03 Mar 2008 12:47:46 -0600

offlineimap (5.99.4) unstable; urgency=low

  * Undo 'Fix Maildir race' patch.  It was causes spinning.
    Closes: #447217, #447226.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Oct 2007 06:31:09 -0500

offlineimap (5.99.3) unstable; urgency=low

  * Fix a potential Maildir race.  Thanks to Martin F. Krafft for the
    patch.  Closes: #439384.
  * SGML syntax fix.
  * Patches from Daniel Jacobowitz:
    + New -q (quick) option to only update folders that seem to have
      significant changes
    + Fix to UID validity problems some had reported with Courier
    + Maildir checking speedups
    + Display fixes for Curses.Blinkenlights
  * Fixed locked( )for noninteractive UIs.  Thanks to Mark A. Hershberger
    for the patch.
  * Configurable thread status character for ui.Curses.Blinkenlights.
    Thanks to aaron@schrab.com for the patch.
  * Documented remotehosteval.  Thanks to Ben Kibbey.
  * [debian] Added build-dep on man-db.  Closes: #433739.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Oct 2007 14:03:39 -0500

offlineimap (5.99.2) unstable; urgency=low

  * Add build-dep on gs.  Closes: #433739.
  * Additional date check.  Closes: #396443.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 31 Jul 2007 05:27:05 -0500

offlineimap (5.99.1) unstable; urgency=low

  * Remove suggestion on python-tk.  Closes: #432843.
  * Fix non-SSL connection bug introduced in 5.99.0.
    Thanks to Eloy Paris for pinpointing it.  Closes: #432727.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Jul 2007 01:03:08 -0500

offlineimap (5.99.0) unstable; urgency=low

  * Re-scan remote folder names at the start of each sync run.
    Closes: #329000, #396772.
  * Drop internal imaplib.py in favor of default Python one.
  * New user interface: Machine.MachineUI.  Machine-parsable.
  * Drop all the Tk interfaces.
    Closes: #265088.
  * Now supports specifying timeouts for socket operations.
  * Updated copyright files.
  * Improved interaction with Dovecot maildirs.  Patch thanks to Asheesh
    Laroia.
  * Improved filesystem syncing semantics, which should reduce duplication
    in the event of hardware failure.
  * UID validity diagnostics improvement.  Patch from David Favro.
  * No longer leave preauthtunnel zombies with autorefresh.
    Patch from Peter Colberg.  Closes: #410730.
  * --help now shows available UIs.  Patch from Daniel Rall.
  * Check all resolved addresses.  Patch from Mark Brown.  Closes: #413030.
  * Removed todo directory from tree, moved to BTS.
  * New PID file to enable third-party "kill offlineimap" tools.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 10 Jul 2007 04:10:26 -0500

offlineimap (4.0.16) unstable; urgency=low

  * Apply patches from Danial Burrows to improve situation when
    errors occur.  Closes: #162672.
  * Fixed a bug that could cause OfflineIMAP to crash when copying
    a message from a remote server that didn't have an
    INTERNALDATE.  Closes: #401290.
  * Part of the FAQ from the manual has been moved to the OfflineIMAP
    wiki at http://software.complete.org/offlineimap.
    New file FAQ.html is a dump of that page.
  * Corrected outdated bug reporting info in the manual.

 -- John Goerzen <jgoerzen@complete.org>  Sat,  2 Dec 2006 09:08:14 -0600

offlineimap (4.0.15) unstable; urgency=low

  * Applied patch from Aaron Schrab to sync INTERNALDATEs.
    As a nice side-effect, this should finally resolve the problem
    with bad dates on spams.  Closes: #299174.
  * Noted new homepage at http://software.complete.org/offlineimap/
  * Updated copyright dates

 -- John Goerzen <jgoerzen@complete.org>  Wed, 29 Nov 2006 21:52:26 -0600

offlineimap (4.0.14) unstable; urgency=low

  * ACK NMU 4.0.13-0.1.  Thanks, Pierre.  Closes: #380880.
  * Update 33 more instances of the old FSF address.
  * Fix off-by-one in example config file.  Closes: #342450.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Aug 2006 18:06:27 -0500

offlineimap (4.0.13-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380880):
    + only build for python current (use python-dev).
    + use dh_pysupport.
  * Bump Standards-Version to 3.7.2.
  * Bump DH_COMPAT to 4.
  * Move debhelper into Build-Depends.
  * Fix old FSF address.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 11 Aug 2006 19:05:06 +0200

offlineimap (4.0.13) unstable; urgency=low

  * Revert restoreatime patch; it didn't work with IMAP on local.
    Closes: #365933.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 May 2006 07:36:23 -0500

offlineimap (4.0.12) unstable; urgency=low

  * Apply patch from Ben Kibbey to support new restoreatime feature.
  * Workaround for a bug in Exchange win which it doesn't like
    folders with an asterisk in their name.
  * Apply patch from Adam Spiers to remove parens in SEARCH command.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 01 May 2006 04:42:11 -0500

offlineimap (4.0.11) unstable; urgency=low

  * Apply patch from Nikita V. Youshchenko to improve performance with
    large folders.  Closes: #319117.
  * Apply patch from Nikita V. Youshchenko to fix handling of invalid
    Date: headers that contain extremely large integral values.
    Closes: #324827.
  * s/foldertrans/nametrans/ in docs.  Closes: #314429.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Aug 2005 06:06:24 -0500

offlineimap (4.0.10) unstable; urgency=low

  * Support IPv6 with SSL.  Closes: #309965.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 23 May 2005 13:10:21 -0500

offlineimap (4.0.9) unstable; urgency=low

  * Removed dep on profile.py due to DFSG-free issues with it.
    Closes: #294479.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  9 Feb 2005 16:34:50 -0600

offlineimap (4.0.8) unstable; urgency=low

  * Added code to limit number of messages that get their flags set at
    once.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 16 Nov 2004 10:43:11 -0600

offlineimap (4.0.7) unstable; urgency=low

  * Added additional debug logging when downloading messages in an attempt to
    get the info needed to address #199452.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  1 Aug 2004 16:48:15 -0500

offlineimap (4.0.6) unstable; urgency=low

  * Corrected check for Curses.Blinkenlights hotkey press.  Closes: #256336.
  * Added version to generated header.  Closes: #257893.
  * Fixed warn() in Tk (reported by Martin Pool).
  * Added Windows documentation from Chris Walker to the FAQ.
  * Added Build-Conflicts for docbook-ebnf; it can mess up the doc
    building.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Jul 2004 10:04:06 -0500

offlineimap (4.0.5) unstable; urgency=low

  * Added python to build-deps.  Closes: #259118.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Jul 2004 10:20:59 -0500

offlineimap (4.0.4) unstable; urgency=low

  * Reverted the header insertion point patch applied in 4.0.3.  It
    has apparently caused header corruption.  Closes: #254261.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Jun 2004 04:41:36 -0500

offlineimap (4.0.3) unstable; urgency=low

  * Fixed version numbers to read 4.0.3.  Closes: #220536.
  * Switched defaults from Python 2.2 to Python 2.3.
    Closes: #237560, #239018.
  * Fixed description typo.  Closes: #211251.
  * Fixed nametrans example.  Closes: #252644.
  * Applied patch from Johannes Berg for mycmp example in manual.
    Closes: #252645.
  * Fixed typos in manual.  Closes: #252646.
  * Regenerated docs.
  * Applied patch from Daniel James to adjust the insertion point
    for a new header.
  * Now calls dh_python and build-deps on newer debhelper.
  * Updated copyright information.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  4 Jun 2004 07:10:00 -0500

offlineimap (4.0.2) unstable; urgency=low

  * Fixed missing definition of _display in Noninteractive.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 31 Oct 2003 15:18:05 -0600

offlineimap (4.0.1) unstable; urgency=low

  * Fixed a typo.  Closes: #201497.
  * Include UPGRADING in Debian package.  Closes: #208650.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 10 Oct 2003 23:21:38 -0500

offlineimap (4.0.0) unstable; urgency=low

  * Poof, this is 4.0.
  * Added UPGRADING file and UPGRADING instructions.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 18 Jul 2003 17:31:14 -0500

offlineimap (3.99.20) unstable; urgency=low

  * OfflineIMAP now moves messages between new and cur in Maildir when flags
    have changed on the server.
  * Applied patch from Joerg Wendland <joergland@debian.org> to use
    APPENDUID result from mail servers that provide it.  Closes: #198772.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 27 Jun 2003 07:28:33 -0500

offlineimap (3.99.19) unstable; urgency=low

  * Added a "force" option to imapserver/select to force a reloading of a
    folder.  Per [complete.org #67], when cachemessagelist() was called
    on an object that was cached from a previous run, it would not
    re-issue the select().

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 Jun 2003 07:04:53 -0500

offlineimap (3.99.18) unstable; urgency=low

  * Made a fix for Python2.3 compatibility.
  * Removed warning when thread debug is specified.  Closes: #195739.
  * New option -l to log debug info to a file without having it spew
    on-screen.
  * New debug type "thread".

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 May 2003 16:58:54 -0500

offlineimap (3.99.17) unstable; urgency=low

  * Fixed two potential obscure race conditions in folder/Maildir.py.
    + Condition 1 involved the gettimeseq() function.  This function
      accesses per-module variables but does not have a lock.  It may have
      been possible for this to have been called in such a way that timeseq
      was not properly updated.
    + Condition 2 involved the call to gettimeseq().  Since the timeseq is
      based on the system clock, we now use the time as reported inside
      timeseq() rather than outside.  This way, we can be assured that the
      same value is in use both places.
  * Added debug code to savemessage in folder/Maildir.py to try to track
    down a mysterious 0-length file bug.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  6 May 2003 07:25:38 -0500

offlineimap (3.99.16) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * When sep was /, the new Maildir support code would recursively try to
    scan ., resulting in huge paths and an eventual crash.  Fixed with
    a one-line patch to Maildir.py.  Fixes [complete.org #60].
    Closes: #191318.
  * Added some significant debug code to folder/IMAP.py when saving a new
    message with APPEND.  This should make it easier to track down bugs both
    in OfflineIMAP and in mail servers that implement this poorly.
  * Fixed adding of X-OfflineIMAP header when the message starts out with
    no headers.  (This should not generally occur.)  This should help
    with some "invalid literal for long()" problems.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  6 May 2003 07:10:17 -0500

offlineimap (3.99.15) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Backed out removal of SYNC_WITH_TIMER_TERMINATE code to deal with
    completed syncs.  Without this code, -o broke because the app would
    never terminate.  Closes: #190063.
  * Raise an exception when the status area is locked.  This will cause UIs
    to go through their normal exception handling code.  In particular, for
    the Curses.Blinkenlights interface, the Curses module will be stopped
    and the error message will be printed on the console.  Previously, this
    error message would not have been visible.  Closes: #185709.
  * Fixed a silly error relating to handling of the remotepassfile.
    Closes: #189935.
  * Made OfflineIMAP IPv6-aware.  Used the short patch from
    Adriaan Peeters <apeeters@lashout.net> in Debian bug report 186636.
    Closes: #186636.
  * autorefresh may now be a floating-point value.  Closes: #190060.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 28 Apr 2003 17:30:32 -0500

offlineimap (3.99.14) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Added the ability to use the top level of a Maildir as folder named
    ".".  Useful for generating Maildir trees for a Courier server.
  * Fixed the regular expression that fixes line endings to make sure to
    deal with \n\n properly.
  * Slight renaming in offlineimap.conf.minimal to clarify things.
  * Documentation updated with information about new features.
    Closes: #189771.
    + Described IMAP-IMAP syncing
    + Updated minimal example with new offlineimap.conf.minimal
    + Updated UID information.  Added link to recent mailing list
      discussion.
    + Described KMail syncing, which now works.
    + Added link to mailing list archives.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 28 Apr 2003 07:13:23 -0500

offlineimap (3.99.13) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Fixed password prompting for non-Curses UIs.
  * Fixed line-ending code to deal with files with mixed \n and \r\n
    codes.  This is a rare case, but now is more onerous because we now
    have to find headers.
  * Now checks that SELECT succeeded when entering a folder.
  * Verifies that folders listed on folderincludes actually exist by trying
    to enter them.  Thus, if they do not exist, they can be created on the
    first run.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Apr 2003 18:02:13 -0500

offlineimap (3.99.12) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Big news: OfflineIMAP can now sync two remote IMAP servers to each
    other, with no need to write a Maildir at all.
  * WARNING: the format of the configuration file *AND* the local
    status area changes with this release!
  * Major reworking of internal management of accounts.  Previously, the
    account defined a local Maildir and a remote IMAP server.  Now, the
    account is simply a connection between two repositories.  For
    traditional ones, an account basically specifies a refresh interval,
    a Maildir repository, and an IMAP repository.
  * Added a notion of a repository to the configuration file.  Repositories
    currently available are IMAP and Maildir.  Combined with the new account
    system, this lets the user define powerful combinations without
    duplicating information.
  * When uploading messages to an IMAP server, OfflineIMAP generates its
    own X-OfflineIMAP header rather than trying to guess the new message UID
    based on the Message-Id header.  This leads to greater reliability when
    uploading messages, especially when dealing with duplicate messages.
    This change was required to permit reliable IMAP-to-IMAP syncing, but
    helps with regular IMAP-to-Maildir syncing as well.
  * Local status area under ~/.offlineimap revamped.  It now contains
    separate subdirectories for each account and repository, and they
    contain UID validity information, UID mapping (for IMAP-to-IMAP
    syncing).  UID validity information is no longer stored in the Maildir
    itself.
  * New debug type: "thread" to debug multithreading.
  * preauth tunnels no longer require remoteuser, remotepass, host,
    or port in the configuration file.
  * Logging for preauth tunnels is more sensible.
  * Fixed a logic error for syncs with a reference that returns no folders.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Apr 2003 17:20:08 -0500

offlineimap (3.99.11) unstable; urgency=low

  * Curses interface can now be resized.  Closes: #176342.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Mar 2003 11:48:36 -0600

offlineimap (3.99.10) unstable; urgency=low

  * Always do a flush in Noninteractive when writing out data.
  * Fixed a bug in folder/Base.py relating to threads in
    syncmessagesto_neguid.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  7 Feb 2003 14:12:17 -0600

offlineimap (3.99.9) unstable; urgency=low

  * Added check to make sure that two processes do not run in the same
    directory at once.  Closes: #178939.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 29 Jan 2003 13:19:14 -0600

offlineimap (3.99.8) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Fixed several problems with the Curses interface: colors showing
    up very weird on FreeBSD and exceptions when running on non-color
    terminals.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 10 Jan 2003 11:46:24 -0600

offlineimap (3.99.7) unstable; urgency=low

  * This is a 4.0 TRACK release, and may be unstable or in flux!
  * Converted entire manual to DocBook SGML so it will be easier to
    expand in the future.  The HTML manual, also, looks far nicer now
    than it did before.
  * Fixed the Tk.VerboseUI -- small, silly error introduced in 3.99.6.
  * Multiple performance and reliability enhancements to syncing
    algorithms, as described below.
  * The process of uploading new messages from local folders to the IMAP
    server was not internally multi-threaded previously.  Now it is.
    This means that if you have a single folder with lots of new messages
    locally, the processing time should be dramatically sped up.  Moreover,
    the process should be more reliable because we do not risk connections
    going dead.
  * The process of synchronizing flags has been overhauled and optimized.
    Previously, for each message where a flag (seen, replied, etc.) was
    changed, we'd issue a separate command to the IMAP server to adjust
    things.  Now, we issue one command for each flag.  In other words,
    instead of seing 45 messages saying something like "Adding flag S to
    message 1421", you now see one message saying "Adding flag S to 45
    messages" -- and the interaction with the IMAP server may well be
    almost 45 times faster on this.  We will now issue at most four
    commands per flag operation (add or remove) per folder, where before,
    we may have issued as many as two per message.  Should be a
    large speedup in most cases, but a small slowdown in a few.
  * Potentially increased the reliability of writing files to the Maildir.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  8 Jan 2003 19:30:11 -0600

offlineimap (3.99.6) unstable; urgency=low

  * This a 4.0 TRACK release, and may be unstable or in flux!
  * Completed work to make both graphical interfaces work
    with a threaded Tcl/Tk Tkinter.  A threaded Tcl/Tk actually makes
    life MORE difficult for multi-threaded Python programs, argh.
  * Now properly handles folder names that contain parenthesis.  Used
    patch from Kyler Laird in
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=173895.
    Closes: #173895.
  * Changed to a more account-centric behavior.  The refresh time is now
    a per-account variable.  Implemented new account classes.  User
    interfaces must now be updated to take advantage of this.
    *** NOTE *** THIS CHANGE BREAKS COMPATIBILITY WITH OLDER VERSIONS.
  * New color console interface: Curses.Blinkenlights!  Try it out!
    Closes: #167357.
  * Due to possibly having one account sleep while another is reading a
    password, and other tricky situations, support for nice updating and
    cancelling of a sleep in TTY.TTYUI has been removed.  (Sleep will
    still work; there is just no way to cancel it early.)
    .
    However, this is not going to be a huge problem because the new Curses
    Blinkenlights interface has this support, and does it a lot better than
    TTY.TTYUI ever could have.
  * Provided config file default for many more options.  Closes: #168219.
  * New example file offlineimap.conf.minimal showing you how to get started
    fast.  It uses only 6 lines to set up an account.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  6 Jan 2003 06:59:44 -0600

offlineimap (3.99.5) unstable; urgency=low

  * Added ability to disable expunging on the server.
  * Fixed infinite loop with preauth.  Closes: #169514, #171485.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 03 Dec 2002 06:22:37 -0600

offlineimap (3.99.4) unstable; urgency=low

  * Fixed setup.py installation instructions.
  * Added more debugging to the CRAM-MD5 authentication module.
  * CRAM-MD5 *really* fixed this time.  Thanks to MJ for the patch.
  * Adding missing import os to imapserver.py.  Thanks to John Wiegley
    for catching that.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Nov 2002 08:06:45 -0600

offlineimap (3.99.3) unstable; urgency=low

  * Moved password promting into imapserver.py.  Passwords are now asked
    for on-demand and typos will no longer crash the program (the user
    will be re-prompted).  Closes: #162672.
  * Falls back to plain-text auth if CRAM-MD5 fails.  Fixes [complete.org #42]
  * Fixed CRAM-MD5 auth so it actually works now.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  4 Nov 2002 06:16:11 -0600

offlineimap (3.99.2) unstable; urgency=low

  * Further attempts to fix imapsplit problems.
  * When an exception occurs, OfflineIMAP will attempt to print the last
    50 debug messages, whether or not debugging was enabled for this
    session.  This way, even unexpected and non-repeatable errors stand
    a chance of getting a more detailed log.
  * Handle uidvalidity file in an atomic fashion.  CLoses: #165600.
  * Supports CRAM-MD5 authentication.  Fixes [complete.org #38], and for
    Debian, Closes: #154165.
  * Noted CRAM-MD5 support in the "CONFORMING TO" section of the manual.
  * Certain servers may not always return the UID flag for new messages.
    This causes an OfflineIMAP exception, though rerunning will fix it.
    Now, OfflineIMAP will detect the condition and ignore the offending
    messages (without an exception) until the next sync.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 02 Nov 2002 10:23:10 -0600

offlineimap (3.99.1) unstable; urgency=low

  * Fixed some syntax errors in imaputil.py
  * Fixed a syntax error with mbnames

 -- John Goerzen <jgoerzen@complete.org>  Wed,  9 Oct 2002 19:34:37 -0500

offlineimap (3.99.0) unstable; urgency=low

  * The next few releases are adding features and reorganizing
    code in preparation for 4.0.0.
  * imaputil.py now logs information with IMAP debugging is enabled.
  * Added folderfilter capability to mbnames recorder.  You can now omit
    specified folders from the mbnames output.
  * Added a workaround to imaputil.py to deal with a bug in imaplib.py's
    tuple when a response contains a literal in certain cases.
  * Split out the code in bin/offlineimap into offlineimap/init.py.
    Retaining bin/offlineimap as a skeletal piece only.  Contains
    about three lines of code now.  This will make many things
    easier, including debugging.
  * Added library version check to bin/offlineimap and
    offlineimap/init.py.
  * Moved __main__.ui to functions in UIBase: getglobalui() and
    setglobalui().
  * Added license comments to some source files that were missing them.
  * Moved some code from offlineimap/init.py to new file
    offlineimap/syncmaster.py to help dileneate between code that
    performs different functions.
  * Moved threadexited from offlineimap/init.py to
    offlineimap/threadutil.py.
  * offlineimap.py is back to ease the use of OfflineIMAP in single-user
    installations.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 07 Oct 2002 05:08:08 -0500

offlineimap (3.2.8) unstable; urgency=low

  * Added a work-around for some IMAP servers that respond poorly
    to LIST "" "".  It will now do LIST "" "*", for them only.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 30 Sep 2002 10:48:01 -0500

offlineimap (3.2.7) unstable; urgency=low

  * Moved executable to bin/offlineimap.  This will allow setup.py to
    properly install it as offlineimap instead of offlineimap.py.
  * Made sure executables use /usr/bin/env in bangpath.
  * Font size for Blinkenlights interface is now configurable.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Sep 2002 06:46:56 -0500

offlineimap (3.2.6) unstable; urgency=low

  * Changed indentation in debian/control.  Closes: #156327.
  * Removed calls to folder object deletions.  None have been implemented
    anyway.
  * folder/Maildir.py: unlink throws OSError, not IOError; fixed.
    Now handles message deleting race condition properly.
    Closes: #154497.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 16 Aug 2002 17:43:19 -0500

offlineimap (3.2.5) unstable; urgency=low

  * Now handles uploading messages without Message-Id headers.
    Closes: #156022.
  * Applied patch from Tommi Virtanen that adds two new config file
    options: pythonfile and foldersort.  Fixes [complete.org #29], and
    for Debian, Closes: #155637.
  * Added documentation for the above features.
  * Even more resiliant in the face of invalid Date headers.  Closes: #155994.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Aug 2002 17:54:01 -0500

offlineimap (3.2.4) unstable; urgency=low

  * When using nested folders, the Maildir repository handler now properly
    deals with folders that are nested inside "noselect" folders -- ones
    that do not actually contain messages and are not provided in the
    server's LIST response.  Fixes [complete.org #32] and, for Debian,
    Closes: #155866.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  8 Aug 2002 17:54:44 -0500

offlineimap (3.2.3) unstable; urgency=low

  * -d now takes a parameter: imap or maildir (or both) to specify
    what type of debugging to do.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  8 Aug 2002 10:02:36 -0500

offlineimap (3.2.2) unstable; urgency=low

  * Updated manual to show new Gray color.
  * Scrolling behavior is better now; sometimes, with fast-scrolling text,
    the log would stop scrolling.
  * Better handling of read-only folders.  We will now warn if there is
    a change, but not propogate it.  New config variable ignore-readonly
    can suppress the warnings.  This fixes [complete.org #10] and,
    for Debian, Closes: #154769.
  * If a given Maildir folder is new, remove the associated local status
    cache file, if any.  That way, there will not be any chance of
    propogating hordes of deletes and adds based on old status data.
  * Added support for /-separated Maildirs -- that is, hierarchical
    Maildir trees.  Fixes [complete.org #28] and, for Debian,
    Closes: #155460.
  * Preventitive security: Folder names may not contain ./ or start with /.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 07 Aug 2002 20:22:25 -0500

offlineimap (3.2.1) unstable; urgency=low

  * There is a new "connecting" event that will appear in all but the
    Quiet UIs.  It has a gray color in Blinkenlights.  This event indicates
    the the program is connecting to a remote server.
  * Blinkenlights UI log window is now scrolled and has a new
    config file option "bufferlines" to specify the size of the scroll
    buffer.
  * The Blinkenlights window is now non-resizable when the log is disabled.
    When the log is enabled, the window is resizable, and the changes in
    size are reflected in the log widget.  Therefore, the Bigger Log
    and Smaller Log items can disappear, and the Log menu now becomes
    a Show Log or a Hide Log menu option.  No sub-menus necessary anymore.
    This presents a much cleaner feel, more intuitive operation, and
    faster navigation.
  * Fix for account name interpolation in dot warning from 3.2.0 from
    Martijn Pieters.
  * Backed out check for . in account names for now.  Will put it back in
    when we have a consensus on what exactly to do.  Doubt that anyone
    has a foldername that would conflict with Blinkenlights anyway.
  * Fix reading the ui.Tk.Blinkenlights bufferlines option.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Jul 2002 17:04:04 -0500

offlineimap (3.2.0) unstable; urgency=low

  * New BLINKENLIGHTS interface!  Mesmerising, isn't it?
  * New ui.Tk.Blinkenlights section in offlineimap.conf.
  * New USER INTERFACES section in the manual.
  * TTYUI isusable() now checks to see if stdout and stdin are TTYs.
  * Added build-dependency on python2.2-dev.  Closes: #154167.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Jul 2002 17:53:20 -0500

offlineimap (3.1.1) unstable; urgency=low

  * Modified imaputil.py and folder/Maildir.py to run faster.  Eliminated
    many regular expressions; pre-compiled many others.
  * Fixed threadutil's exitnotifyloop to always handle threads in the order
    they exited, rather than sometimes in the inverse order.  This way,
    make sure to handle thread's exception messages before a thread exited.
  * Replaced imaplib.py's braindead readline() with a more efficient one.
  * More optimizations to imaputil and folders for faster operation.
  * These optimizations, all together, have resulted in OfflineIMAP
    using approximately half the CPU time of previous versions, fixing
    [complete.org #6], and... Closes: #153503.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Jul 2002 06:53:16 -0500

offlineimap (3.1.0) unstable; urgency=low

  * When uploading messages from a Maildir, now convert \r\n to \n in case
    the message is stored weirdly.  That way, everything is uniform.
    Fixes [complete.org #11].
  * Manual: added UW IMAPD example with references from docwhat@gerf.org.
  * New UI modules: Noninteractive.Basic and Noninteractive.Quiet.
    Fixes [complete.org #14].
  * Added per-thread profiling support to aid in debugging.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 21 Jul 2002 16:09:42 -0500

offlineimap (3.0.3) unstable; urgency=low

  * No longer throws an exception when updating messages with strange
    Date headers; will just set IMAP Internaldate to the current date.
    Closes: #153425.
  * No longer doubles-up reference names for mailboxes.  Closes: #153515.
  * Noted new bug-tracking system in manual and rebuilt manual files.
  * Now stores incoming messages in 'cur' instead of 'new' if they have
    the S flag.  Closes: #152482.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 21 Jul 2002 13:46:13 -0500

offlineimap (3.0.2) unstable; urgency=low

  * Fixed mailbox name recorder to use localfolder.getvisiblename() rather
    than remotefolder.getvisiblename()
  * Fixed remotepassfile option.  Closes: #153119.  Used 1-line patch from
    Tommi Virtanen.
  * Now handles cases of not being able to get UID for an uploaded message
    more gracefully.  This could occur if the server doesn't support
    SEARCH, can't find the message ID, or finds multiple message IDs.
    Closes: #153241.
  * Now source is in Subversion.  Make version.py log the Subversion
    revision number.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 15 Jul 2002 06:43:36 -0500

offlineimap (3.0.1) unstable; urgency=low

  * Detabified the source.
  * Added UI list to the manpage.
  * Added -o (run only once) option with patch sent in by Martijn Pieters.
  * Optimized folder/IMAP.py addmessagesflags() with new listjoin() in
    imaputil.  Now, send the server 1:5,7 instead of 1,2,3,4,5,7.
  * Made folder/Maildir.py/deletemessage() more tolerant if a message
    asked to be deleted already has been.
  * In Base.py/copymessageto(), no longer bother calling getmessage()
    unless a folder's storemessages() returns true.  This will also help
    with syncing to LocalStatus if the user deleted messages in the
    Maildir since the cachemessagelist() was called.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 12 Jul 2002 07:28:24 -0500

offlineimap (3.0.0) unstable; urgency=low

  * Introduced a new graphical user interface written with Tkinter.
    It features a nice view of multi-threaded displays.
  * The TTY user interface now also displays thread names.
  * Program-wide, new threads are given descriptive names to aid in
    debugging and status messages.
  * Added new module offlineimap/ui/detect.py that is used to detect
    which user interface to select for a given session.  Its operation
    is governed by the ui config option and the -u command-line option.
  * Made IMAP folder addmessagesflags() resiliant to a server refusing
    to return a full set of new message flags.  Closes: #152587.
  * Completely rewrote documentation.  OfflineIMAP now has an
    exhaustive manpage, which is really a manual.  It is also shipped
    in plain text, HTML, PDF, and PostScript formats.
  * New command-line options:
    -1 to force no multi-threaded operation
    -u to force a particular UI
    -a to specify which accounts to sync
    -h to print help
    -c to specify an alternate config file
  * Added a workaround for UW IMAP problem wherein the server loses
    uidvalidity whenever a folder is emptied.  Now, the program
    will not consider it a problem if uidvalidity is lost when a folder
    and the local status cache are both completely empty, since we do
    not really need to preserve uidvalidity in that case anyway.
    Closes: #152079.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Jul 2002 22:35:42 -0500

offlineimap (2.0.8) unstable; urgency=low

  * Modified the IMAP folder to use SELECT rather than STATUS more often.
    Makes the code more robust; handles better with read-only folders;
    and runs faster, especially for non-threaded useres, where it
    may eliminate up to 2-3 commands per folder.
  * Made sure IMAP folder savemessage() does a select.  This was a possible
    bug.
  * Modified Maildir folder to unlink messages with T flag in
    cachemessagelist()
  * My own box now syncs in 3 seconds.
  * Optimized acquireconnection() to try to give a thread back the
    connection that it last used, if possible.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 9 Jul 2002 23:29:30 -0500

offlineimap (2.0.7) unstable; urgency=low

  * Fixed imaplib.py to work better with read-only folders.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 Jul 2002 20:24:21 -0500

offlineimap (2.0.6) unstable; urgency=low

  * Added support for holdconnectionopen and keepalive.  This feature
    allows for an IMAP server connection(s) to be held open until
    the next sync process, permitting faster restart times.
  * Another try at read-only folder support.  This is nasty because I
    have no way to test it and imaplib's read-only support is weird.
  * Closing out old bug; fixed in 1.0.2.  Closes: #150803.
  * Optimized algorithm so that a SELECT is never issued for folders
    that contain no messages.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 Jul 2002 20:05:24 -0500

offlineimap (2.0.5) unstable; urgency=low

  * Fixed a folderfilter example.  Partially fixes #152079.
  * Added folderincludes capability.  Partially fixes #152079.
  * More fixes for read-only folders.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  5 Jul 2002 09:21:52 -0500

offlineimap (2.0.4) unstable; urgency=low

  * Made OfflineIMAP at least rudimentarily compatible with read-only
    folders.  It will still fail if they get modified locally, though.
  * Flags are handled case-insensitively.  Closes: #151993.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  5 Jul 2002 09:10:29 -0500

offlineimap (2.0.3) unstable; urgency=low

  * Added support for specifying references.  Closes: #151960.
  * Added -d command-line option to enable imaplib debugging.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 Jul 2002 20:39:29 -0500

offlineimap (2.0.2) unstable; urgency=low

  * Added support for remotepassfile.  Closes: #151943.
  * Added support for preauth tunnels.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 Jul 2002 14:46:23 -0500

offlineimap (2.0.1) unstable; urgency=low

  * Fixed a bug with not properly propogating foldersep changes.
    Now, local folders and status folders properly use the foldersep
    mechanism.  This corrects a problem with Exchange servers.
  * Wrote a major new thread montiring subsystem, defined a new
    ExitNotifyThread.  Handling of Ctrl-C now occurs within 1 second
    rather than after the whole program terminates.  Exceptions that
    occur in a thread are now caught by the main thread and marshalled
    over into the UI side of things for dispatch.  The entire program will
    now abort when one thread dies with an exception.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 Jul 2002 09:07:06 -0500

offlineimap (2.0.0) unstable; urgency=low

  * This code is now multithreaded.  New config file options control the
    behavior.  This can make synchronizing several times faster.
  * Fixed the STATUS call to be compatible with Exchange.
  * Added the ability to exclude folders.
  * If upgrading from 1.0.x, you will need to add maxsyncaccounts to the
    general section and maxconnections to each account sections.
    There is also a new folderfilter option.
    You can find examples of all of these in the new offlineimap.conf
    example file packaged with the distribution.
  * The Debian package now properly installs the example offlineimap.conf
    file.
  * There is a new mailing list available.  To join, send SUBSCRIBE
    to offlineimap-request@complete.org.  The posting address is
    offlineimap@complete.org.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  3 Jul 2002 19:21:32 -0500

offlineimap (1.0.4) unstable; urgency=low

  * Deletion of more than one message has been optimized.  This could make
    deleting large numbers of messages far faster -- several orders of
    magnitude.
  * Moved more sleep code into ui layer.  Fancier sleep actions are now
    possible.  Better handling of Ctrl-C in TTY handler.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  2 Jul 2002 19:16:04 -0500

offlineimap (1.0.3) unstable; urgency=low

  * Fixed a bug when a message was deleted on the IMAP side and modified
    on the local side.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 24 Jun 2002 19:08:21 -0500

offlineimap (1.0.2) unstable; urgency=low

  * Made sure that LocalStatus does writing atomically.  If the program
    is interrupted during save(), there will always be a complete copy of
    either the old or the new data.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 24 Jun 2002 06:57:28 -0500

offlineimap (1.0.1) unstable; urgency=low

  * Fixed a bug with writing messages to some IMAP servers.  Turns
    out we need to issue CHECK between APPEND and SEARCH for some.
    Thanks to Donovan Lange for reporting this bug and helping track it
    down.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Jun 2002 22:03:12 -0500

offlineimap (1.0.0) unstable; urgency=low

  * Initial Release.  Closes: #150571.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Jun 2002 18:54:56 -0500

